List contacts
curl --request GET \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/contacts \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/contacts"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"contacts": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve",
"email": "eve@example.com",
"phone_number": "",
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z",
"owner": null,
"tags": [],
"company": {
"id": null,
"name": null
}
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Oliver",
"email": "oliver@example.com",
"phone_number": "+1555123456",
"created_at": "2025-03-14T14:22:00.000Z",
"updated_at": "2025-03-14T14:22:00.000Z",
"owner": null,
"tags": [],
"company": {
"id": null,
"name": null
}
}
],
"pagination": {
"total_records": 42,
"total_pages": 2,
"current_page_number": 1,
"page_size": 30
}
}Contacts
List contacts
Retrieve a list of all contacts in your workspace. Results are ordered by creation date (newest first).
GET
/
contacts
List contacts
curl --request GET \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/contacts \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/contacts"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"contacts": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve",
"email": "eve@example.com",
"phone_number": "",
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z",
"owner": null,
"tags": [],
"company": {
"id": null,
"name": null
}
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Oliver",
"email": "oliver@example.com",
"phone_number": "+1555123456",
"created_at": "2025-03-14T14:22:00.000Z",
"updated_at": "2025-03-14T14:22:00.000Z",
"owner": null,
"tags": [],
"company": {
"id": null,
"name": null
}
}
],
"pagination": {
"total_records": 42,
"total_pages": 2,
"current_page_number": 1,
"page_size": 30
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.
Set the number of results returned in the response. Defaulting to 30 when omitted.
Response
200 - application/json
Successfully retrieved contacts.
List of contacts.
Hide child attributes
Hide child attributes
Unique identifier for the contact.
Name of the contact.
Email address of the contact.
Phone number of the contact.
Owner of the contact.
Tags associated with the contact.
Timestamp when the contact was created.
Timestamp when the contact was last updated.